diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -3926,10 +3926,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Slovak</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Slovak language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Slovak</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">slovaque</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Slowakisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">slovensk&#253; (jazyk)</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Slovak</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">slovaque</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Slowakisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">slovenský (jazyk)</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3938,9 +3938,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Slovenian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Slovenian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Slovenian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">slov&#232;ne</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Slowenisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Slovenian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">slovène</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Slowenisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">slovenski (jezik)</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3950,9 +3950,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Somali</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Somali language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Somali</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">somali</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Somali</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Somali</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">somali</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Somali</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">soomaali</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3962,11 +3962,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Southern Sotho</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Southern Sotho language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sesotho</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Southern Sotho</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sesotho</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sotho du Sud</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">S&#252;d-Sotho-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sesotho</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Southern Sotho</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sesotho</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">sotho du Sud</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Süd-Sotho-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Sesotho</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3976,13 +3976,13 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Spanish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Spanish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Castilian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Spanish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">castillan</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">espagnol</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Spanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Castilian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Spanish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">castillan</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">espagnol</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Spanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">castellano</lcc-lr:hasIndigenousName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">espa&#241;ol</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">español</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3991,9 +3991,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Sundanese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Sundanese languaage</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sundanese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">soundanais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Sundanesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Sundanese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">soundanais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Sundanesisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bahasa Sunda</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4003,10 +4003,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Swahili</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Swahili macrolanguage</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kiswahili</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Swahili (macrolanguage)</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">swahili</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Swahili</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kiswahili</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Swahili (macrolanguage)</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">swahili</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Swahili</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Kiswahili</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4016,13 +4016,13 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Swati</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Swati language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Siswati</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Swati</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Swazi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">siswati</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">swati</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">swazi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Swasi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Siswati</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Swati</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Swazi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">siswati</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">swati</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">swazi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Swasi-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">siSwati</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4032,9 +4032,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Swedish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Swedish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Swedish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">su&#233;dois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Schwedisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Swedish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">suédois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Schwedisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">svenska</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4044,10 +4044,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tagalog</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tagalog language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tagalog</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tagal</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tagalog</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tagalog</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tagalog</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tagal</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tagalog</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tagalog</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tagalog</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4057,9 +4057,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tahitian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tahitian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tahitian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tahitien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tahitisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tahitian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tahitien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tahitisch</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4068,10 +4068,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tajik</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tajik language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tajik</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tadjik</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tadschikisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">to&#231;ik&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tajik</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tadjik</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tadschikisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">toçikī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4080,11 +4080,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tamil</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tamil language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tamil</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tamil</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tamoul</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tamil</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tami&#7739;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tamil</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tamil</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tamoul</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tamil</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tamiḻ</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4093,9 +4093,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tatar</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tatar language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tatar</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tatar</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tatarisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tatar</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tatar</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tatarisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tatar tele</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4105,9 +4105,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Telugu</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Telugu language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Telugu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">t&#233;lougou</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Telugu-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Telugu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">télougou</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Telugu-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">telugu</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4117,9 +4117,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Thai</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Thai language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Thai</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tha&#239;</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Thail&#228;ndisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Thai</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">thaï</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Thailändisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">thai</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4129,9 +4129,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tibetan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tibetan language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tibetan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tib&#233;tain</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tibetisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tibetan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tibétain</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tibetisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bod skad</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4141,21 +4141,21 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tigrinya</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tigrinya language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tigrinya</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tigrigna</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tigrinja-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tigri&#241;a</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tigrinya</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tigrigna</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tigrinja-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tigriña</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
     <owl:NamedIndividual rdf:about="&lcc-639-1;Tonga-TongaIslands">
         <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
-  <rdfs:label>Tonga (Tonga Islands)</rdfs:label>
+      <rdfs:label>Tonga (Tonga Islands)</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tonga (Tonga Islands) language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tonga (Tonga Islands)</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tonga (&#238;les Tonga)</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tongaisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tonga (Tonga Islands)</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tonga (îles Tonga)</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tongaisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tonga</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4165,9 +4165,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tsonga</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tsonga language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tsonga</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tsonga</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tsonga-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tsonga</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tsonga</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tsonga-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Xitsonga</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4177,11 +4177,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Tswana</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Tswana language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Setswana</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tswana</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">setchwana</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tswana</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Tswana-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Setswana</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Tswana</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">setchwana</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">tswana</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Tswana-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Setswana</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4191,10 +4191,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Turkish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Turkish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Turkish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">turc</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">T&#252;rkisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">t&#252;rk&#231;e</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Turkish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">turc</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Türkisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">türkçe</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4203,9 +4203,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Turkmen</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Turkmen language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Turkmen</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">turkm&#232;ne</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Turkmenisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Turkmen</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">turkmène</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Turkmenisch</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4214,9 +4214,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Twi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Twi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Twi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">twi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Twi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Twi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">twi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Twi-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">twi</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4224,13 +4224,13 @@
     <owl:NamedIndividual rdf:about="&lcc-639-1;Uighur">
         <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
-  <rdfs:label>Uighur</rdfs:label>
+      <rdfs:label>Uighur</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Uighur language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Uighur</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Uyghur</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ou&#239;gour</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Uigurisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">oyghurq&#477;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Uighur</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Uyghur</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ouïgour</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Uigurisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">oyghurqǝ</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4239,10 +4239,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Ukrainian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ukrainian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ukrainian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ukrainien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ukrainisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ukra&#239;ns'ka mova</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ukrainian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ukrainien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ukrainisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ukraïns'ka mova</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4251,10 +4251,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Urdu</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Urdu language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Urdu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ourdou</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Urdu</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">urd&#363;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Urdu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ourdou</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Urdu</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">urdū</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4263,10 +4263,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Uzbek</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Uzbek languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Uzbek</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ouszbek</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Usbekisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">o&#699;zbek tili</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Uzbek</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ouszbek</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Usbekisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">oʻzbek tili</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4275,10 +4275,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Venda</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Venda language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Venda</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">venda</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Venda-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Tshiven&#7699;a</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Venda</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">venda</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Venda-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Tshivenḓa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4287,10 +4287,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Vietnamese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Vietnamese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Vietnamese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">vietnamien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Vietnamesisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Ti&#7871;ng Vi&#7879;t Nam</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Vietnamese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">vietnamien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Vietnamesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Tiếng Việt Nam</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
